VIEWIMG_SET_ACTIVE(3)

FUNCTION
viewimg_set_active - Make viewable image active with controlled refresh.

SYNOPSIS
#include <karma_viewimg.h>

flag viewimg_set_active

(ViewableImage vimage, flag refresh)

DESCRIPTION
This routine will make a viewable image the active image for its associated world canvas.

vimage
    The viewable image.

refresh
    If TRUE, the canvas is always refreshed, if FALSE, the canvas is not refreshed.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

SEE ALSO
<-viewimg_make_active->.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/